<?php
header('Content-Type: text/html; charset=utf-8');
if(isset($_POST['item_id'], $_POST['item_price'])){
	try {
		require 'db.php'; // Подключение к БД
		
		$item_id = $_POST['item_id'];
		$item_price = $_POST['item_price'];
		
		// Объединяем массивы данных
		$allData = array_map( null, $item_id, $item_price );
		
		// Подготавливаем строку запроса
		$query = "INSERT INTO `products` (`prod_id`,`price`) VALUES ";
		$query .= substr(str_repeat('(?, ?),', count($allData)), 0, -1);
		$query .= " ON DUPLICATE KEY UPDATE `price` = VALUES(`price`)";
		
		//echo $query; // можно вывести строку запроса для контроля
		$dbh = DB::getPdoInstance();
		$sth = $dbh->prepare($query);
		
		// создаём одномерный массив всех значений из двумерного (&sup2;)
		$iterator = new RecursiveIteratorIterator(new RecursiveArrayIterator($allData));
		$allData = iterator_to_array($iterator, false);
		
		// Привязываем параметры запроса к переменным
		foreach($allData as $key => &$val){
				$sth->bindParam(($key+1), $val);
		}
		
		// выполняем запрос
		$sth->execute();
		echo ($sth->rowCount() > 0 ? 'Данные успешно обновлены!' : 'Не произведено ни одной замены'),
			'<br><a href="./">Вернутся</a> на страницу редактирования';
		
	} catch(PDOException $e){
		echo 'Ошибка при выполнении запроса: ', $e->getMessage();
	}
}
// mysql_*
/*
if(isset($_POST['item_id'], $_POST['item_price'])){
	$item_id = $_POST['item_id'];
	$item_price = $_POST['item_price'];
	// Объединяем массивы
	$allData = array_map( null, $item_id, $item_price );
	// Генерируем запрос
	$query = "INSERT INTO `products` (`prod_id`,`price`) VALUES ";
	$params = array();
	foreach($allData as $val){
			$params[] = '('.$val[0] .','.$val[1].')';
	}
	$query .= implode(',', $params) . " ON DUPLICATE KEY UPDATE `price` = VALUES(`price`)";
	// Запрос готов.
	echo $query; // можно вывести его на экран для проверки
	// Остается его выполнить
}
*/